### Method

# WebKit WebExtension get_has_options_page

since: 2.52

#### Declaration [src]

    gboolean
    webkit_web_extension_get_has_options_page (
      WebKitWebExtension* extension
    )

#### Description [src]

Get whether the extension has an options page.

The app should provide access to this page through a user interface element, which can be accessed via `optionsPageURL` on an extension context.

Available since: 2.52

Gets property | `WebKit.WebExtension:has-options-page`

#### Return value

Type: `gboolean`

`TRUE` if the extension includes a dedicated options page where users can customize settings.